--- old/exception_lists/check_rtime	2014-05-07 18:40:46.963413332 +0400
+++ new/exception_lists/check_rtime	2014-05-07 18:40:46.974731773 +0400
@@ -47,7 +47,7 @@
 
 # Individual files that we don't examine
 SKIP		^boot/grub/bin/grub$
-SKIP		^usr/apache/libexec/mod_ipp.so$	# Apache loadable module
+SKIP		^usr/apache2/2.2/libexec/mod_ipp.so$	# Apache loadable module
 # USIII specific extns. cause ldd noise on USII bld. m/c
 SKIP		^usr/lib/fps/sun4u/UltraSPARC.*/fptest$
 SKIP		^usr/MACH(lib)/lddstub$		# lddstub has no dependencies
--- old/exception_lists/interface_check	2014-05-07 18:40:47.290593084 +0400
+++ new/exception_lists/interface_check	2014-05-07 18:40:47.301984173 +0400
@@ -43,7 +43,7 @@
 # Plugins are not required to have versioned file names, and are not required
 # to be internally versioned.
 #
-PLUGIN		^usr/apache/libexec
+PLUGIN		^usr/apache2/2.2/libexec
 PLUGIN		^usr/lib/devfsadm
 PLUGIN		^usr/lib/efcode/.*\.so$
 PLUGIN		^usr/lib/elfedit
--- old/usr/src/cmd/logadm/glob.c	2014-05-07 18:40:47.573405921 +0400
+++ new/usr/src/cmd/logadm/glob.c	2014-05-07 18:40:47.584883490 +0400
@@ -30,7 +30,7 @@
  * 	*.c
  * 	/var/log/syslog.?
  * 	log[0-9]*file
- * 	/var/apache/logs/x*{access,error}_log
+ * 	/var/apache2/2.2/logs/x*{access,error}_log
  *
  * this is basically the same syntax that csh supports for globs and
  * is provided by the routine glob_glob() which takes a filename and
@@ -62,8 +62,6 @@
  * braces, and don't support the more powerful reglobs required by logadm.
  */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <stdio.h>
 #include <libintl.h>
 #include <stdlib.h>
--- old/usr/src/cmd/logadm/main.c	2014-05-07 18:40:47.868582272 +0400
+++ new/usr/src/cmd/logadm/main.c	2014-05-07 18:40:47.879859871 +0400
@@ -653,9 +653,9 @@
 			 * it is part of a specific entry for the log
 			 * file name.  this handles the case where the
 			 * logname is "apache", it supplies a log file
-			 * name like "/var/apache/logs/[a-z]*_log",
-			 * which expands to multiple file names.  if one
-			 * of the file names is "/var/apache/logs/access_log"
+			 * name like "/var/apache2/2.2/logs/[a-z]*_log",
+			 * which expands to multiple file names.  if one of
+			 * the file names is "/var/apache2/2.2/logs/access_log"
 			 * the the -P will be attached to a line with that
 			 * logname in the timestamp file.
 			 */
--- old/usr/src/cmd/logadm/tester	2014-05-07 18:40:48.191459128 +0400
+++ new/usr/src/cmd/logadm/tester	2014-05-07 18:40:48.202863625 +0400
@@ -289,13 +289,12 @@
 # The entry below is used by turnacct(1M)
 #
 /var/adm/pacct -C 0 -a '/usr/lib/acct/accton pacct' -g adm -m 664 -o adm -p never
-apache -C 24 -a '/usr/apache/bin/apachectl graceful' -p 1m -t '/var/apache/old-logs/$basename.%Y-%m' '/var/apache/logs/*{access,error}_log'
-/var/log/syslog -C 8 -P 'Thu Nov  1 09:16:38 2001' -a 'kill -HUP `cat /var/run/*syslog*pid`'
-/var/apache/logs/access_log -P 'Thu Nov  1 08:27:56 2001'
-/var/apache/logs/error_log -P 'Thu Nov  1 08:27:56 2001'
-/var/apache/logs/suexec_log -P 'Thu Nov  1 08:27:56 2001'
-/var/apache/logs/mod_jserv.log -P 'Thu Nov  1 08:27:56 2001'
-/var/apache/logs/jserv.log -P 'Thu Nov  1 08:27:56 2001'
+apache -C 24 -a '/usr/apache2/2.2/bin/apachectl graceful' -p 1m -t '/var/apache2/2.2/old-logs/$basename.%Y-%m' '/var/apache2/2.2/logs/*{access,error}_log'
+/var/apache2/2.2/logs/access_log -P 'Thu Nov  1 08:27:56 2001'
+/var/apache2/2.2/logs/error_log -P 'Thu Nov  1 08:27:56 2001'
+/var/apache2/2.2/logs/suexec_log -P 'Thu Nov  1 08:27:56 2001'
+/var/apache2/2.2/logs/mod_jserv.log -P 'Thu Nov  1 08:27:56 2001'
+/var/apache2/2.2/logs/jserv.log -P 'Thu Nov  1 08:27:56 2001'
 EOF
 }
 
@@ -823,13 +822,13 @@
 /var/cron/log -s 512k -t /var/cron/olog
 /var/lp/logs/lpsched -C 2 -N -t '$file.$N'
 /var/adm/pacct -C 0 -a '/usr/lib/acct/accton pacct' -g adm -m 664 -o adm -p never
-apache -C 24 -a '/usr/apache/bin/apachectl graceful' -p 1m -t '/var/apache/old-logs/$basename.%Y-%m' '/var/apache/logs/*{access,error}_log'
+apache -C 24 -a '/usr/apache2/2.2/bin/apachectl graceful' -p 1m -t '/var/apache2/2.2/old-logs/$basename.%Y-%m' '/var/apache2/2.2/logs/*{access,error}_log'
 /var/log/syslog -C 8 -P 'Thu Nov  1 09:16:38 2001' -a 'kill -HUP `cat /var/run/*syslog*pid`'
-/var/apache/logs/access_log -P 'Thu Nov  1 08:27:56 2001'
-/var/apache/logs/error_log -P 'Thu Nov  1 08:27:56 2001'
-/var/apache/logs/suexec_log -P 'Thu Nov  1 08:27:56 2001'
-/var/apache/logs/mod_jserv.log -P 'Thu Nov  1 08:27:56 2001'
-/var/apache/logs/jserv.log -P 'Thu Nov  1 08:27:56 2001'
+/var/apache2/2.2/logs/access_log -P 'Thu Nov  1 08:27:56 2001'
+/var/apache2/2.2/logs/error_log -P 'Thu Nov  1 08:27:56 2001'
+/var/apache2/2.2/logs/suexec_log -P 'Thu Nov  1 08:27:56 2001'
+/var/apache2/2.2/logs/mod_jserv.log -P 'Thu Nov  1 08:27:56 2001'
+/var/apache2/2.2/logs/jserv.log -P 'Thu Nov  1 08:27:56 2001'
 EOF
 
 	set_file('checktest', <<'EOF');
--- old/usr/src/cmd/lp/cmd/lpsched/print-svc	2014-05-07 18:40:48.531143604 +0400
+++ new/usr/src/cmd/lp/cmd/lpsched/print-svc	2014-05-07 18:40:48.540152696 +0400
@@ -120,7 +120,7 @@
 	FMRI=$2
 	IPP_FMRI="svc:/application/print/ipp-listener:default"
 	RFC1179_FMRI="svc:/application/print/rfc1179:default"
-	IPP_CONF=/etc/apache/httpd-standalone-ipp.conf
+	IPP_CONF=/etc/apache2/2.2/httpd-standalone-ipp.conf
 	ip="any"
 
 	policy=`get_policy $FMRI`
--- old/usr/src/lib/print/libipp-listener/common/ipp-listener.c	2014-05-07 18:40:48.794116021 +0400
+++ new/usr/src/lib/print/libipp-listener/common/ipp-listener.c	2014-05-07 18:40:48.803584272 +0400
@@ -27,8 +27,6 @@
 
 /* $Id: ipp-listener.c 146 2006-03-24 00:26:54Z njacobs $ */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <stdio.h>
 #include <stdlib.h>
 #include <string.h>
@@ -151,7 +149,7 @@
 };
 
 static int
-ipp_operation_name_to_index(char *name)
+ipp_operation_name_to_index(const char *name)
 {
 	int i;
 
@@ -233,7 +231,7 @@
 }
 
 static char
-type_to_boolean(char *type)
+type_to_boolean(const char *type)
 {
 	char result = PAPI_FALSE;
 
@@ -276,7 +274,7 @@
 }
 
 papi_status_t
-ipp_configure_operation(papi_attribute_t ***list, char *operation, char *type)
+ipp_configure_operation(papi_attribute_t ***list, const char *operation, const char *type)
 {
 	papi_status_t result = PAPI_OPERATION_NOT_SUPPORTED;
 	char boolean = PAPI_FALSE;
--- old/usr/src/lib/print/libipp-listener/common/ipp-listener.h	2014-05-07 18:40:49.064106689 +0400
+++ new/usr/src/lib/print/libipp-listener/common/ipp-listener.h	2014-05-07 18:40:49.073432787 +0400
@@ -30,8 +30,6 @@
 
 /* $Id: ipp-listener.h 146 2006-03-24 00:26:54Z njacobs $ */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #ifdef	__cplusplus
 extern "C" {
 #endif
@@ -40,7 +38,8 @@
 
 /* exported functions */
 extern papi_status_t ipp_configure_operation(papi_attribute_t ***list,
-						char *operation, char *type);
+						const char *operation,
+						const char *type);
 extern papi_status_t ipp_process_request(papi_attribute_t **request,
 					papi_attribute_t ***response,
 					ipp_reader_t iread, void *fd);
--- old/usr/src/lib/print/libpapi-common/common/attribute.c	2014-05-07 18:40:49.334839453 +0400
+++ new/usr/src/lib/print/libpapi-common/common/attribute.c	2014-05-07 18:40:49.344913647 +0400
@@ -203,7 +203,7 @@
 }
 
 static papi_attribute_t *
-papiAttributeAlloc(char *name, papi_attribute_value_type_t type)
+papiAttributeAlloc(const char *name, papi_attribute_value_type_t type)
 {
 	papi_attribute_t *result = NULL;
 
@@ -238,7 +238,7 @@
 
 papi_status_t
 papiAttributeListAddValue(papi_attribute_t ***list, int flgs,
-		char *name, papi_attribute_value_type_t type,
+		const char *name, papi_attribute_value_type_t type,
 		papi_attribute_value_t *value)
 {
 	papi_status_t result;
@@ -318,7 +318,7 @@
 
 papi_status_t
 papiAttributeListAddBoolean(papi_attribute_t ***list, int flags,
-			char *name, char boolean)
+			const char *name, char boolean)
 {
 	papi_attribute_value_t v;
 
@@ -402,7 +402,7 @@
 }
 
 papi_attribute_t *
-papiAttributeListFind(papi_attribute_t **list, char *name)
+papiAttributeListFind(papi_attribute_t **list, const char *name)
 {
 	int i;
 	if ((list == NULL) || (name == NULL))
--- old/usr/src/lib/print/libpapi-common/common/papi.h	2014-05-07 18:40:49.632268405 +0400
+++ new/usr/src/lib/print/libpapi-common/common/papi.h	2014-05-07 18:40:49.643190345 +0400
@@ -30,8 +30,6 @@
 
 /* $Id: papi.h 161 2006-05-03 04:32:59Z njacobs $ */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 #include <sys/types.h>
 #include <time.h>
 #include <stdio.h>
@@ -256,7 +254,7 @@
 
 /*	Attribute related	 */
 extern papi_status_t papiAttributeListAddValue(papi_attribute_t ***attrs,
-					int flags, char *name,
+					int flags, const char *name,
 					papi_attribute_value_type_t type,
 					papi_attribute_value_t *value);
 extern papi_status_t papiAttributeListAddString(papi_attribute_t ***attrs,
@@ -264,7 +262,7 @@
 extern papi_status_t papiAttributeListAddInteger(papi_attribute_t ***attrs,
 					int flags, char *name, int integer);
 extern papi_status_t papiAttributeListAddBoolean(papi_attribute_t ***attrs,
-					int flags, char *name, char boolean);
+					int flags, const char *name, char boolean);
 extern papi_status_t papiAttributeListAddRange(papi_attribute_t ***attrs,
 					int flags, char *name,
 					int lower, int upper);
@@ -311,7 +309,7 @@
 					void **iterator, char *name,
 					papi_metadata_t *vptr);
 extern papi_attribute_t *papiAttributeListFind(papi_attribute_t **list,
-					char *name);
+					const char *name);
 extern papi_attribute_t *papiAttributeListGetNext(papi_attribute_t **list,
 					void **iterator);
 extern void papiAttributeListFree(papi_attribute_t **attributes);
--- old/usr/src/lib/print/mod_ipp/Makefile	2014-05-07 18:40:49.919545638 +0400
+++ new/usr/src/lib/print/mod_ipp/Makefile	2014-05-07 18:40:49.930215086 +0400
@@ -30,11 +30,11 @@
 include ../../Makefile.lib
 include ../../Makefile.rootfs
 
-APACHEMODDIR =	$(ROOT)/usr/apache/libexec
-APACHECONFDIR =	$(ROOT)/etc/apache
+APACHEMODDIR =	$(ROOT)/usr/apache2/2.2/libexec
+APACHECONFDIR =	$(ROOT)/etc/apache2/2.2
 LISTENERDIR =	$(ROOT)/var/lp/ipp-listener
 
-ROOTDIRS =	$(ROOT)/usr/apache $(APACHEMODDIR) $(APACHECONFDIR) \
+ROOTDIRS =	$(ROOT)/usr/apache2/2.2 $(APACHEMODDIR) $(APACHECONFDIR) \
 		$(ROOT)/var/lp $(LISTENERDIR)
 
 $(ROOT)/var/lp:=	DIRMODE = 775
@@ -44,11 +44,15 @@
 
 SRCS = $(OBJECTS:%.o = %.c)
 
-
+APR_INC.cmd =  apr-1-config --includes
+APU_INC.cmd =  apu-1-config --includes
 CFLAGS +=	$(CCVERBOSE)
+
 CPPFLAGS +=	-I../libipp-listener/common
 CPPFLAGS +=	-I../libipp-core/common
-CPPFLAGS +=	-I/usr/apache/include
+CPPFLAGS +=	-I/usr/apache2/2.2/include
+CPPFLAGS +=    $(APR_INC.cmd:sh)
+CPPFLAGS +=    $(APU_INC.cmd:sh)
 CPPFLAGS +=	-DEAPI
 ZDEFS =		$(ZNODEFS)
 
--- old/usr/src/lib/print/mod_ipp/httpd-standalone-ipp.conf	2014-05-07 18:40:50.182479353 +0400
+++ new/usr/src/lib/print/mod_ipp/httpd-standalone-ipp.conf	2014-05-07 18:40:50.192379554 +0400
@@ -53,12 +53,6 @@
 #
 
 #
-# ServerType is either inetd, or standalone.  Inetd mode is only supported on
-# Unix platforms.
-#
-ServerType standalone
-
-#
 # ServerRoot: The top of the directory tree under which the server's
 # configuration, error, and log files are kept.
 #
@@ -67,7 +61,7 @@
 # (available at <URL:http://www.apache.org/docs/mod/core.html#lockfile>);
 # you will save yourself a lot of trouble.
 #
-ServerRoot "/usr/apache"
+ServerRoot "/usr/apache2/2.2"
 
 #
 # The LockFile directive sets the path to the lockfile used when Apache
@@ -192,25 +186,15 @@
 # Note: The order in which modules are loaded is important.  Don't change
 # the order below without expert advice.
 #
-LoadModule access_module libexec/mod_access.so
 LoadModule alias_module libexec/mod_alias.so
-LoadModule auth_module libexec/mod_auth.so
+LoadModule auth_basic_module libexec/mod_auth_basic.so
+LoadModule authn_file_module libexec/mod_authn_file.so
+LoadModule authz_host_module libexec/mod_authz_host.so
+LoadModule authz_user_module libexec/mod_authz_user.so
 LoadModule mime_module libexec/mod_mime.so
 LoadModule mime_magic_module libexec/mod_mime_magic.so
 LoadModule ipp_module libexec/mod_ipp.so
 
-#  Reconstruction of the complete module list from all available modules
-#  (static and shared ones) to achieve correct module execution order.
-#  [WHENEVER YOU CHANGE THE LOADMODULE SECTION ABOVE UPDATE THIS, TOO]
-ClearModuleList
-AddModule mod_access.c
-AddModule mod_alias.c
-AddModule mod_auth.c
-AddModule mod_mime.c
-AddModule mod_mime_magic.c
-AddModule mod_ipp.c
-AddModule mod_so.c
-
 ### Section 2: 'Main' server configuration
 #
 # The directives in this section set up the values used by the 'main'
@@ -234,7 +218,7 @@
 # Port: The port to which the standalone server listens. For
 # ports < 1023, you will need httpd to be run as root initially.
 #
-Port 631
+Listen 631
 
 #
 # If you wish httpd to run as a different user or group, you must run
--- old/usr/src/lib/print/mod_ipp/ipp-listener.xml	2014-05-07 18:40:50.841047347 +0400
+++ new/usr/src/lib/print/mod_ipp/ipp-listener.xml	2014-05-07 18:40:50.850746327 +0400
@@ -44,7 +44,7 @@
 	<exec_method
 	    type='method'
 	    name='start'
-	    exec='/usr/apache/bin/httpd -f /etc/apache/httpd-standalone-ipp.conf'
+	    exec='/usr/apache2/2.2/bin/httpd -f /etc/apache2/2.2/httpd-standalone-ipp.conf'
 	    timeout_seconds='10' />
 
 	<exec_method
--- old/usr/src/lib/print/mod_ipp/mod_ipp.c	2014-05-07 18:40:52.333673291 +0400
+++ new/usr/src/lib/print/mod_ipp/mod_ipp.c	2014-05-07 18:40:52.354393086 +0400
@@ -24,11 +24,12 @@
  * Use is subject to license terms.
  *
  */
+/*
+ * Copyright (c) 2013 Andrew Stormont.  All rights reserved.
+ */
 
 /* $Id: mod_ipp.c 149 2006-04-25 16:55:01Z njacobs $ */
 
-#pragma ident	"%Z%%M%	%I%	%E% SMI"
-
 /*
  * Internet Printing Protocol (IPP) module for Apache.
  */
@@ -49,15 +50,23 @@
 #include "http_log.h"
 #include "http_main.h"
 #include "papi.h"
-#ifndef APACHE_RELEASE	/* appears to only exist in Apache 1.X */
-#define	APACHE2
-#include "apr_compat.h"
+/* Try and guess the version of apache */
+#ifdef APACHE_RELEASE
+# define AP_SERVER_MAJORVERSION_NUMBER 1
+# define AP_SERVER_MINORVERSION_NUMBER 0
+#else
+# ifndef AP_SERVER_MAJORVERSION_NUMBER
+#  define AP_SERVER_MAJORVERSION_NUMBER 2
+# endif
+# ifndef AP_SERVER_MINORVERSION_NUMBER
+#  define AP_SERVER_MINORVERSION_NUMBER 0
+# endif
 #endif
 
 #include <papi.h>
 #include <ipp-listener.h>
 
-#ifndef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER < 2
 module MODULE_VAR_EXPORT ipp_module;
 #else
 module AP_MODULE_DECLARE_DATA ipp_module;
@@ -117,7 +126,7 @@
 	request_rec *ap_r = (request_rec *)fd;
 
 	len_read = ap_get_client_block(ap_r, buf, siz);
-#ifndef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER < 2
 	ap_reset_timeout(ap_r);
 #endif
 
@@ -139,7 +148,7 @@
 	ssize_t len_written;
 	request_rec *ap_r = (request_rec *)fd;
 
-#ifndef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER < 2
 	ap_reset_timeout(ap_r);
 #endif
 #ifdef DEBUG
@@ -153,7 +162,7 @@
 static void
 discard_data(request_rec *r)
 {
-#ifdef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER < 2
 	(void) ap_discard_request_body(r);
 #else
 	/*
@@ -176,8 +185,13 @@
 #endif
 }
 
+#if AP_SERVER_MAJORVERSION_NUMBER > 2 || AP_SERVER_MINORVERSION_NUMBER > 3
+void _log_rerror(const char *file, int line, int module_index,
+	int level, request_rec *r, const char *fmt, ...)
+#else
 void _log_rerror(const char *file, int line, int level, request_rec *r,
 	const char *fmt, ...)
+#endif
 {
 	va_list args;
 	size_t size;
@@ -193,7 +207,9 @@
 			vsnprintf(message, size, fmt, args);
 	va_end(args);
 
-#ifdef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER > 2 || AP_SERVER_MINORVERSION_NUMBER > 3
+	ap_log_rerror(file, line, module_index, level, APR_SUCCESS, r, message);
+#elif AP_SERVER_MAJORVERSION_NUMBER > 1
 	ap_log_rerror(file, line, level, NULL, r, message);
 #else
 	ap_log_rerror(file, line, level, r, message);
@@ -207,12 +223,16 @@
 	IPPListenerConfig *config;
 	papi_status_t status;
 	int ret;
+#if AP_SERVER_MAJORVERSION_NUMBER > 1
+	apr_os_sock_t *os_sock = NULL;
+	apr_status_t st;
+#endif
 
 	/* Really, IPP is all POST requests */
 	if (r->method_number != M_POST)
 		return (DECLINED);
 
-#ifndef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER < 2
 	/*
 	 * An IPP request must have a MIME type of "application/ipp"
 	 * (RFC-2910, Section 4, page 19).  If it doesn't match this
@@ -235,7 +255,7 @@
 	if (!ap_should_client_block(r))
 		return (HTTP_INTERNAL_SERVER_ERROR);
 
-#ifndef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER < 2
 	ap_soft_timeout("ipp_module: read/reply request ", r);
 #endif
 	/* read the IPP request off the network */
@@ -250,7 +270,7 @@
 
 	(void) papiAttributeListAddString(&request, PAPI_ATTR_EXCL,
 		"originating-host", (char *)
-#ifdef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER >= 2
 		ap_get_remote_host
 			(r->connection, r->per_dir_config, REMOTE_NAME, NULL));
 #else
@@ -261,7 +281,11 @@
 	(void) papiAttributeListAddInteger(&request, PAPI_ATTR_EXCL,
 				"uri-port", ap_get_server_port(r));
 	if (r->headers_in != NULL) {
+#if AP_SERVER_MAJORVERSION_NUMBER >= 2 || AP_SERVER_MINORVERSION_NUMBER > 2
+		char *host = (char *)apr_table_get(r->headers_in, "Host");
+#else
 		char *host = (char *)ap_table_get(r->headers_in, "Host");
+#endif
 
 		if ((host == NULL) || (host[0] == '\0'))
 			host = (char *)ap_get_server_name(r);
@@ -291,11 +315,19 @@
 	/*
 	 * For Trusted Solaris, pass the fd number of the socket connection
 	 * to the backend so the it can be forwarded to the backend print
-	 * service to retrieve the sensativity label off of a multi-level
+	 * service to retrieve the sensitivity label off of a multi-level
 	 * port.
 	 */
+#if AP_SERVER_MAJORVERSION_NUMBER > 1
+	st = apr_os_sock_get(os_sock, r->connection->cs->pfd.desc.s);
+	if (st == APR_SUCCESS) {
+		(void) papiAttributeListAddInteger(&request, PAPI_ATTR_EXCL,
+			"peer-socket", (int)os_sock);
+	}
+#else
 	(void) papiAttributeListAddInteger(&request, PAPI_ATTR_EXCL,
-			"peer-socket", ap_bfileno(r->connection->client, B_RD));
+		"peer-socket", ap_bfileno(r->connection->client, B_RD));
+#endif
 
 	/* process the request */
 	status = ipp_process_request(request, &response, read_data, r);
@@ -316,13 +348,17 @@
 	 * remain in the post request.
 	 */
 	if ((r->read_chunked != 0) &&
+#if AP_SERVER_MAJORVERSION_NUMBER >= 2 || AP_SERVER_MINORVERSION_NUMBER > 2
+	    (apr_table_get(r->headers_in, "Content-Length") == NULL))
+#else
 	    (ap_table_get(r->headers_in, "Content-Length") == NULL))
+#endif
 		discard_data(r);
 
 	/* write an IPP response back to the network */
 	r->content_type = "application/ipp";
 
-#ifndef	APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER < 2
 	ap_send_http_header(r);
 #endif
 
@@ -338,7 +374,7 @@
 	papiAttributeListFree(request);
 	papiAttributeListFree(response);
 
-#ifndef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER < 2
 	ap_kill_timeout(r);
 	if (ap_rflush(r) < 0)
 		_log_rerror(APLOG_MARK, APLOG_ERR, r,
@@ -352,7 +388,7 @@
 /*ARGSUSED1*/
 static void *
 create_ipp_dir_config(
-#ifndef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER < 2
 	pool *p,
 #else
 	apr_pool_t *p,
@@ -360,7 +396,7 @@
 	char *dirspec)
 {
 	IPPListenerConfig *config =
-#ifndef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER < 2
 		ap_pcalloc(p, sizeof (*config));
 #else
 		apr_pcalloc(p, sizeof (*config));
@@ -399,7 +435,7 @@
 
 /*ARGSUSED0*/
 static const char *
-ipp_operation(cmd_parms *cmd, void *cfg, char *op, char *toggle)
+ipp_operation(cmd_parms *cmd, void *cfg, const char *op, const char *toggle)
 {
 	IPPListenerConfig *config = (IPPListenerConfig *)cfg;
 	papi_status_t status;
@@ -469,7 +505,7 @@
 	{ NULL }
 };
 
-#ifdef APACHE2
+#if AP_SERVER_MAJORVERSION_NUMBER >= 2
 /*ARGSUSED0*/
 static const char *
 ipp_method(const request_rec *r)
@@ -494,7 +530,11 @@
 	/* Need to make sure we don't get directory listings by accident */
 	ap_hook_handler(ipp_handler, NULL, modules, APR_HOOK_MIDDLE);
 	ap_hook_default_port(ipp_port, NULL, NULL, APR_HOOK_MIDDLE);
+#if AP_SERVER_MAJORVERSION_NUMBER >= 2
+	ap_hook_http_scheme(ipp_method, NULL, NULL, APR_HOOK_MIDDLE);
+#else
 	ap_hook_http_method(ipp_method, NULL, NULL, APR_HOOK_MIDDLE);
+#endif
 }
 
 module AP_MODULE_DECLARE_DATA ipp_module = {
--- old/usr/src/man/man1m/logadm.1m	2014-05-07 18:40:55.292353617 +0400
+++ new/usr/src/man/man1m/logadm.1m	2014-05-07 18:40:55.358781550 +0400
@@ -827,9 +827,9 @@
 .in +2
 .nf
  % logadm -w apache -p 1m -C 24\e
-     -t '/var/apache/old-logs/$basename.%Y-%m'\e
-     -a '/usr/apache/bin/apachectl graceful'\e
-     '/var/apache/logs/*{access,error}_log'
+	-t '/var/apache2/2.2/old-logs/$basename.%Y-%m'\e
+	-a '/usr/apache2/2.2/bin/apachectl graceful'\e
+	'/var/apache2/2.2/logs/*{access,error}_log'
 .fi
 .in -2
 .sp
@@ -867,7 +867,7 @@
 .sp
 .in +2
 .nf
-logadm -w apache /var/apache/logs/*_log
+logadm -w apache /var/apache2/2.2/logs/*_log
 .fi
 .in -2
 .sp
--- old/usr/src/man/man4/mod_ipp.4	2014-05-07 18:40:58.483380233 +0400
+++ new/usr/src/man/man4/mod_ipp.4	2014-05-07 18:40:58.498772627 +0400
@@ -11,7 +11,7 @@
 .SH SYNOPSIS
 .LP
 .nf
-\fB/usr/apache/libexec/mod_ipp.so\fR
+\fB/usr/apache2/2.2/libexec/mod_ipp.so\fR
 .fi
 
 .SH DESCRIPTION
@@ -252,7 +252,7 @@
 .in +2
 .nf
 ServerType standalone
-ServerRoot "/usr/apache"
+ServerRoot "/usr/apache2/2.2"
 PidFile /var/run/httpd-standalone-ipp.pid
 ErrorLog /var/lp/logs/ipp-errors
 
@@ -391,6 +391,6 @@
 .LP
 The \fBhttpd\fR(8) man page and other Apache man pages are provided with the
 programming modules. To view the Apache manual pages with the man command, add
-\fB/usr/apache/man\fR to the \fBMANPATH\fR environment variable. See
+\fB/usr/apache2/2.2/man\fR to the \fBMANPATH\fR environment variable. See
 \fBman\fR(1) for  more information. Running \fBcatman\fR(1M) on the Apache
 manual pages is not supported.
--- old/usr/src/man/man5/filesystem.5	2014-05-07 18:41:01.733019659 +0400
+++ new/usr/src/man/man5/filesystem.5	2014-05-07 18:41:01.745609182 +0400
@@ -328,7 +328,7 @@
 .sp
 .ne 2
 .na
-\fB\fB/etc/apache\fR\fR
+\fB\fB/etc/apache2/2.2\fR\fR
 .ad
 .sp .6
 .RS 4n
@@ -1344,7 +1344,7 @@
 .sp
 .ne 2
 .na
-\fB\fB/var/apache\fR\fR
+\fB\fB/var/apache2/2.2\fR\fR
 .ad
 .sp .6
 .RS 4n
@@ -1974,7 +1974,7 @@
 .sp
 .ne 2
 .na
-\fB\fB/usr/apache\fR\fR
+\fB\fB/usr/apache2/2.2\fR\fR
 .ad
 .sp .6
 .RS 4n
--- old/usr/src/pkg/manifests/developer-opensolaris-osnet.mf	2014-05-07 18:41:03.915279278 +0400
+++ new/usr/src/pkg/manifests/developer-opensolaris-osnet.mf	2014-05-07 18:41:03.960358464 +0400
@@ -60,4 +60,4 @@
 depend fmri=system/management/product-registry@0.5.11-0.133 type=require
 depend fmri=system/management/snmp/net-snmp@5.4.1-0.133 type=require
 depend fmri=text/gnu-gettext@0.16.1-0.133 type=require
-depend fmri=web/server/apache-13@1.3.41-0.133 type=require
+depend fmri=web/server/apache-22@2.2.26-0.133 type=require
--- old/usr/src/pkg/manifests/print-lp-ipp-ipp-listener.mf	2014-05-07 18:41:07.256082464 +0400
+++ new/usr/src/pkg/manifests/print-lp-ipp-ipp-listener.mf	2014-05-07 18:41:07.272607838 +0400
@@ -31,23 +31,25 @@
     value=org.opensolaris.category.2008:System/Printing
 set name=variant.arch value=$(ARCH)
 dir path=etc group=sys
-dir path=etc/apache
+dir path=etc/apache2
+dir path=etc/apache2/2.2
 dir path=lib
 dir path=lib/svc
 dir path=lib/svc/manifest group=sys
 dir path=lib/svc/manifest/application group=sys
 dir path=lib/svc/manifest/application/print group=sys
 dir path=usr group=sys
-dir path=usr/apache
-dir path=usr/apache/libexec
+dir path=usr/apache2
+dir path=usr/apache2/2.2
+dir path=usr/apache2/2.2/libexec
 dir path=var group=sys
 dir path=var/lp group=lp mode=0775 owner=lp
 dir path=var/lp/ipp-listener
-file path=etc/apache/httpd-standalone-ipp.conf \
+file path=etc/apache2/2.2/httpd-standalone-ipp.conf \
     original_name=SUNWippl:etc/apache/httpd-standalone-ipp.conf preserve=true
 file path=lib/svc/manifest/application/print/ipp-listener.xml group=sys \
     mode=0444
-file path=usr/apache/libexec/mod_ipp.so mode=0555
+file path=usr/apache2/2.2/libexec/mod_ipp.so mode=0555
 file path=var/lp/ipp-listener/index.html mode=0444
 legacy pkg=SUNWipplr \
     desc="Internet Printing Protocol(IPP) Apache configuration for service module" \
